linux CLI installation: Driver build options are incomplete. Drivers cannot be built.

linux CLI installation: Driver build options are incomplete. Drivers cannot be built.

I'm trying to install VTune Amplifier XE 2013 on my Fedora. After prerequisite checking, i got this:

There are one or more optional unresolved issues. It is highly recommended to
resolve them all before you continue the installation. You can fix them without 
exiting from the installation and re-check. Or you can quit from the
installation, fix them and run the installation again.
--------------------------------------------------------------------------------
Missing optional prerequisites
-- Driver build options are incomplete. Drivers cannot be built.
-- Driver is already loaded.
--------------------------------------------------------------------------------
1. Skip missing optional prerequisites [default]
2. Show the detailed info about issue(s)
3. Re-check the prerequisites

then I choose 2 to check details, it's like this:

Either kernel source directory, C compiler, or Make command is not detected by
the installation. To build the sampling driver, set up parameters in Advanced
Options -> Driver Build Options dialog.
To install kernel headers, execute one of the following commands specific to
your operating system:
- Fedora / Red Hat Enterprise Linux
   - On a system with the default kernel, install the kernel-devel package:
     yum install kernel-devel
   - On a system with the PAE kernel, install the kernel-PAE package:
     yum install kernel-PAE-devel
- OpenSUSE / SUSE Linux Enterprise
     zypper install kernel-source
- Ubuntu / Debian
     apt-get install linux-headers-$(uname -r)

I have gcc and make command under /usr/bin. And after I did "yum install kernel-devel", nothing changed.

Would you please help me on this? Thank you:)

 

4 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Hello David,

Just in case: could you please confirm that the yum command installed kernel-devel package looking at:

rpm -qa | grep kernel-devel

Thanks & Regards, Dmitry

Additionally you also need to install development tools, based on prerequisites' info.

@Dmitry P.

it's like this:

kernel-devel-2.6.32-220.13.1.el6.x86_64

Leave a Comment

Please sign in to add a comment. Not a member? Join today